//----------------------------------------------------------------------------
//「PSoCマイコン・スタートアップ」の１０章のサンプルプログラム（Prj2_Distanse_detection_sensor）を改造しました
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules

void main()
{

	unsigned char sw_state = 0;			// 近接の有無を格納
	
	/* 初期化 */
	M8C_EnableGInt;

	/* CSDの初期化 */
	CSD_Start();
	CSD_InitializeBaselines();
	CSD_SetDefaultFingerThresholds();

    /* start the PWM8! */  
    PWM8_1_Start();    

	
	while (1) {
	
		CSD_ScanSensor(0);				//近接センサのスキャン
		CSD_UpdateSensorBaseline(0);	//近接センサのベースラインの更新
		sw_state = CSD_bIsSensorActive(0);	//近接の有無の判定
	
		/* 手が近接していたらLEDを点灯 */
		if(sw_state){ 
			LED_Off();
		} else {
			LED_On();
		}
		
		/* set period */  
	    PWM8_1_WritePeriod(CSD_waSnsDiff[0]);  
    	/* set pulse width to generate a 50% duty cycle */  
    	PWM8_1_WritePulseWidth(CSD_waSnsDiff[0]/2);  

}		
}
